/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends, __values } from "tslib";
import { DomainChart } from "./DomainChart";
import { fromEnum, enumGetBox, markType } from "igniteui-react-core";
import { HorizontalAlignment_$type } from "igniteui-react-core";
import { VerticalAlignment_$type } from "igniteui-react-core";
import { Visibility_$type } from "igniteui-react-core";
import { ValueAxisLabelLocation_$type } from "./ValueAxisLabelLocation";
import { AngleAxisLabelLocation_$type } from "./AngleAxisLabelLocation";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { AxisDefaults } from "./AxisDefaults";
import { TitleSettings } from "./TitleSettings";
import { ScalerParams } from "./ScalerParams";
import { DeviceUtils } from "igniteui-react-core";
/**
 * @hidden
 */
var RadialBaseChart = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(RadialBaseChart, _super);
    function RadialBaseChart() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.z3 = null;
        _this.z4 = null;
        _this.aai = 0;
        _this.aak = 5;
        _this.aaj = 0;
        _this.aah = 5;
        _this.aaz = 5;
        _this.aa1 = 0;
        _this.aa0 = 5;
        _this.aay = 0;
        _this.afs = null;
        _this.afz = null;
        _this.afq = null;
        _this.afr = null;
        _this.aat = 0;
        _this.aba = 0;
        _this.aas = NaN;
        _this.aa9 = NaN;
        _this.aav = NaN;
        _this.abc = NaN;
        _this.aau = NaN;
        _this.abb = NaN;
        _this.aar = NaN;
        _this.aa8 = NaN;
        _this.afy = null;
        _this.af5 = null;
        _this.ack = null;
        _this.aco = null;
        _this.acm = null;
        _this.acq = null;
        _this.acf = null;
        _this.acg = null;
        _this.aft = null;
        _this.af0 = null;
        _this.aal = DeviceUtils.g(1);
        _this.aa2 = DeviceUtils.g(1);
        _this.aam = DeviceUtils.g(1);
        _this.aa3 = DeviceUtils.g(1);
        _this.afv = null;
        _this.af2 = null;
        _this.afw = null;
        _this.af3 = null;
        _this.aan = DeviceUtils.g(1);
        _this.aa4 = DeviceUtils.g(1);
        _this.aao = DeviceUtils.g(8);
        _this.aa5 = 0;
        _this.afx = null;
        _this.af4 = null;
        _this.aap = DeviceUtils.g(1);
        _this.aa6 = DeviceUtils.g(1);
        _this.acl = null;
        _this.acp = null;
        _this.afu = null;
        _this.af1 = null;
        _this.aag = 0;
        _this.aax = 0;
        _this.aaf = NaN;
        _this.aaw = NaN;
        _this.aaq = 0;
        _this.aa7 = -90;
        _this.aab = false;
        _this.aac = false;
        _this.afl = 1;
        _this.ago = 1;
        _this.afk = 1;
        _this.afm = 2;
        _this.agm = 0;
        _this.agn = 1;
        _this.ags = 0;
        _this.agt = 0;
        _this.z9 = 4;
        _this.zz = 4;
        _this.acj = null;
        _this.zv = null;
        _this.acn = null;
        _this.zw = null;
        return _this;
    }
    RadialBaseChart.prototype.provideContainer = function (a) {
        if (a != null) {
            var b = this.z1();
            var c = this.z2();
            if (b != null) {
                b.provideRenderer(a);
            }
            if (c != null) {
                c.provideRenderer(a);
            }
        }
        _super.prototype.provideContainer.call(this, a);
    };
    RadialBaseChart.prototype.u2 = function () {
        _super.prototype.u2.call(this);
        var a = this.z1();
        var b = this.z2();
        if (a != null && a.az != null) {
            this.af8 = a.az.textColor;
        }
        if (b != null && b.az != null) {
            this.agf = b.az.textColor;
        }
        this.agd = AxisDefaults.j;
        this.agk = AxisDefaults.j;
        this.af9 = AxisDefaults.h;
        this.agg = AxisDefaults.h;
        this.agc = AxisDefaults.g;
        this.agj = AxisDefaults.g;
    };
    RadialBaseChart.prototype.vu = function (a, b, c) {
        var _this = this;
        _super.prototype.vu.call(this, a, b, c);
        switch (a) {
            case "AngleAxisLabelLeftMargin":
                this.afc(function (d) { return d.leftMargin = _this.abg; });
                break;
            case "AngleAxisLabelTopMargin":
                this.afc(function (d) { return d.topMargin = _this.abi; });
                break;
            case "AngleAxisLabelRightMargin":
                this.afc(function (d) { return d.rightMargin = _this.abh; });
                break;
            case "AngleAxisLabelBottomMargin":
                this.afc(function (d) { return d.bottomMargin = _this.abf; });
                break;
            case "ValueAxisLabelLeftMargin":
                this.afh(function (d) { return d.leftMargin = _this.ab1; });
                break;
            case "ValueAxisLabelTopMargin":
                this.afh(function (d) { return d.topMargin = _this.ab3; });
                break;
            case "ValueAxisLabelRightMargin":
                this.afh(function (d) { return d.rightMargin = _this.ab2; });
                break;
            case "ValueAxisLabelBottomMargin":
                this.afh(function (d) { return d.bottomMargin = _this.ab0; });
                break;
            case "ActualItemsSource":
            case "ShouldDisplayMockData":
            case "ShouldUseSkeletonStyleForMockData":
                this.af6 = this.yt(this.af8);
                this.af7 = this.yt(this.agf);
                break;
            case "AngleAxisLabelTextColor":
                this.af6 = this.yt(this.af8);
                break;
            case "ValueAxisLabelTextColor":
                this.af7 = this.yt(this.agf);
                break;
            case "ActualAngleAxisLabelTextColor":
                this.afc(function (d) { return d.textColor = _this.af6; });
                break;
            case "ActualValueAxisLabelTextColor":
                this.afh(function (d) { return d.textColor = _this.af7; });
                break;
            case "AngleAxisTitleMargin":
                this.afe(function (d) { return d.margin = _this.abr; });
                break;
            case "ValueAxisTitleMargin":
                this.afj(function (d) { return d.margin = _this.acc; });
                break;
            case "AngleAxisTitleLeftMargin":
                this.afe(function (d) { return d.leftMargin = _this.abq; });
                break;
            case "ValueAxisTitleLeftMargin":
                this.afj(function (d) { return d.leftMargin = _this.acb; });
                break;
            case "AngleAxisTitleTopMargin":
                this.afe(function (d) { return d.topMargin = _this.abt; });
                break;
            case "ValueAxisTitleTopMargin":
                this.afj(function (d) { return d.topMargin = _this.ace; });
                break;
            case "AngleAxisTitleRightMargin":
                this.afe(function (d) { return d.rightMargin = _this.abs; });
                break;
            case "ValueAxisTitleRightMargin":
                this.afj(function (d) { return d.rightMargin = _this.acd; });
                break;
            case "AngleAxisTitleBottomMargin":
                this.afe(function (d) { return d.bottomMargin = _this.abp; });
                break;
            case "ValueAxisTitleBottomMargin":
                this.afj(function (d) { return d.bottomMargin = _this.aca; });
                break;
            case "AngleAxisTitleTextColor":
                this.afe(function (d) { return d.textColor = _this.age; });
                break;
            case "ValueAxisTitleTextColor":
                this.afj(function (d) { return d.textColor = _this.agl; });
                break;
            case "AngleAxisFormatLabel":
                this.afa(function (d) { return d.au = _this.z5; });
                break;
            case "ValueAxisFormatLabel":
                this.aff(function (d) { return d.au = _this.z6; });
                break;
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "z5", {
        get: function () {
            return this.z3;
        },
        set: function (a) {
            var b = this.z5;
            if (a != b) {
                this.z3 = a;
                this.vr("AngleAxisFormatLabel", b, this.z5);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "z6", {
        get: function () {
            return this.z4;
        },
        set: function (a) {
            var b = this.z6;
            if (a != b) {
                this.z4 = a;
                this.vr("ValueAxisFormatLabel", b, this.z6);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abg", {
        get: function () {
            return this.aai;
        },
        set: function (a) {
            var b = this.abg;
            if (a != b) {
                this.aai = a;
                this.vr("AngleAxisLabelLeftMargin", b, this.abg);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abi", {
        get: function () {
            return this.aak;
        },
        set: function (a) {
            var b = this.abi;
            if (a != b) {
                this.aak = a;
                this.vr("AngleAxisLabelTopMargin", b, this.abi);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abh", {
        get: function () {
            return this.aaj;
        },
        set: function (a) {
            var b = this.abh;
            if (a != b) {
                this.aaj = a;
                this.vr("AngleAxisLabelRightMargin", b, this.abh);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abf", {
        get: function () {
            return this.aah;
        },
        set: function (a) {
            var b = this.abf;
            if (a != b) {
                this.aah = a;
                this.vr("AngleAxisLabelBottomMargin", b, this.abf);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab1", {
        get: function () {
            return this.aaz;
        },
        set: function (a) {
            var b = this.ab1;
            if (a != b) {
                this.aaz = a;
                this.vr("ValueAxisLabelLeftMargin", b, this.ab1);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab3", {
        get: function () {
            return this.aa1;
        },
        set: function (a) {
            var b = this.ab3;
            if (a != b) {
                this.aa1 = a;
                this.vr("ValueAxisLabelTopMargin", b, this.ab3);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab2", {
        get: function () {
            return this.aa0;
        },
        set: function (a) {
            var b = this.ab2;
            if (a != b) {
                this.aa0 = a;
                this.vr("ValueAxisLabelRightMargin", b, this.ab2);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab0", {
        get: function () {
            return this.aay;
        },
        set: function (a) {
            var b = this.ab0;
            if (a != b) {
                this.aay = a;
                this.vr("ValueAxisLabelBottomMargin", b, this.ab0);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "af8", {
        get: function () {
            return this.afs;
        },
        set: function (a) {
            var b = this.af8;
            if (a != b) {
                this.afs = a;
                this.vr("AngleAxisLabelTextColor", b, this.af8);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agf", {
        get: function () {
            return this.afz;
        },
        set: function (a) {
            var b = this.agf;
            if (a != b) {
                this.afz = a;
                this.vr("ValueAxisLabelTextColor", b, this.agf);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "af6", {
        get: function () {
            return this.afq;
        },
        set: function (a) {
            var b = this.afq;
            if (a != b) {
                this.afq = a;
                this.vr("ActualAngleAxisLabelTextColor", b, this.af6);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "af7", {
        get: function () {
            return this.afr;
        },
        set: function (a) {
            var b = this.afr;
            if (a != b) {
                this.afr = a;
                this.vr("ActualValueAxisLabelTextColor", b, this.af7);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abr", {
        get: function () {
            return this.aat;
        },
        set: function (a) {
            var b = this.abr;
            if (a != b) {
                this.aat = a;
                this.vr("AngleAxisTitleMargin", b, this.abr);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "acc", {
        get: function () {
            return this.aba;
        },
        set: function (a) {
            var b = this.acc;
            if (a != b) {
                this.aba = a;
                this.vr("ValueAxisTitleMargin", b, this.acc);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abq", {
        get: function () {
            return this.aas;
        },
        set: function (a) {
            var b = this.abq;
            if (a != b) {
                this.aas = a;
                this.vr("AngleAxisTitleLeftMargin", b, this.abq);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "acb", {
        get: function () {
            return this.aa9;
        },
        set: function (a) {
            var b = this.acb;
            if (a != b) {
                this.aa9 = a;
                this.vr("ValueAxisTitleLeftMargin", b, this.acb);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abt", {
        get: function () {
            return this.aav;
        },
        set: function (a) {
            var b = this.abt;
            if (a != b) {
                this.aav = a;
                this.vr("AngleAxisTitleTopMargin", b, this.abt);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ace", {
        get: function () {
            return this.abc;
        },
        set: function (a) {
            var b = this.ace;
            if (a != b) {
                this.abc = a;
                this.vr("ValueAxisTitleTopMargin", b, this.ace);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abs", {
        get: function () {
            return this.aau;
        },
        set: function (a) {
            var b = this.abs;
            if (a != b) {
                this.aau = a;
                this.vr("AngleAxisTitleRightMargin", b, this.abs);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "acd", {
        get: function () {
            return this.abb;
        },
        set: function (a) {
            var b = this.acd;
            if (a != b) {
                this.abb = a;
                this.vr("ValueAxisTitleRightMargin", b, this.acd);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abp", {
        get: function () {
            return this.aar;
        },
        set: function (a) {
            var b = this.abp;
            if (a != b) {
                this.aar = a;
                this.vr("AngleAxisTitleBottomMargin", b, this.abp);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aca", {
        get: function () {
            return this.aa8;
        },
        set: function (a) {
            var b = this.aca;
            if (a != b) {
                this.aa8 = a;
                this.vr("ValueAxisTitleBottomMargin", b, this.aca);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "age", {
        get: function () {
            return this.afy;
        },
        set: function (a) {
            var b = this.age;
            if (a != b) {
                this.afy = a;
                this.vr("AngleAxisTitleTextColor", b, this.age);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agl", {
        get: function () {
            return this.af5;
        },
        set: function (a) {
            var b = this.agl;
            if (a != b) {
                this.af5 = a;
                this.vr("ValueAxisTitleTextColor", b, this.agl);
            }
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.prototype.vv = function (a, b, c) {
        var _this = this;
        _super.prototype.vv.call(this, a, b, c);
        switch (a) {
            case "AngleAxisLabelTextStyle":
                this.afc(function (d) { return d.textStyle = _this.ac7; });
                break;
            case "ValueAxisLabelTextStyle":
                this.afh(function (d) { return d.textStyle = _this.aed; });
                break;
            case "AngleAxisTitleTextStyle":
                this.afe(function (d) { return d.textStyle = _this.adv; });
                break;
            case "ValueAxisTitleTextStyle":
                this.afj(function (d) { return d.textStyle = _this.ae1; });
                break;
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "ac7", {
        get: function () {
            return this.ack;
        },
        set: function (a) {
            var b = this.ac7;
            if (a != b) {
                this.ack = a;
                this.vr("AngleAxisLabelTextStyle", b, this.ac7);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aed", {
        get: function () {
            return this.aco;
        },
        set: function (a) {
            var b = this.aed;
            if (a != b) {
                this.aco = a;
                this.vr("ValueAxisLabelTextStyle", b, this.aed);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "adv", {
        get: function () {
            return this.acm;
        },
        set: function (a) {
            var b = this.adv;
            if (a != b) {
                this.acm = a;
                this.vr("AngleAxisTitleTextStyle", b, this.adv);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ae1", {
        get: function () {
            return this.acq;
        },
        set: function (a) {
            var b = this.ae1;
            if (a != b) {
                this.acq = a;
                this.vr("ValueAxisTitleTextStyle", b, this.ae1);
            }
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.prototype.ae7 = function (a) {
        var _this = this;
        this.ae4(a, function (b) { return b.leftMargin = _this.abg; });
        this.ae4(a, function (b) { return b.topMargin = _this.abi; });
        this.ae4(a, function (b) { return b.rightMargin = _this.abh; });
        this.ae4(a, function (b) { return b.bottomMargin = _this.abf; });
        this.ae4(a, function (b) { return b.textColor = _this.af6; });
        this.ae5(a, function (b) { return b.textColor = _this.age; });
        this.ae5(a, function (b) { return b.leftMargin = _this.abq; });
        this.ae5(a, function (b) { return b.topMargin = _this.abt; });
        this.ae5(a, function (b) { return b.rightMargin = _this.abs; });
        this.ae5(a, function (b) { return b.bottomMargin = _this.abp; });
        this.ae4(a, function (b) { return b.textStyle = _this.ac7; });
        this.ae5(a, function (b) { return b.textStyle = _this.adv; });
    };
    RadialBaseChart.prototype.ae9 = function (a) {
        var _this = this;
        this.ae4(a, function (b) { return b.leftMargin = _this.ab1; });
        this.ae4(a, function (b) { return b.topMargin = _this.ab3; });
        this.ae4(a, function (b) { return b.rightMargin = _this.ab2; });
        this.ae4(a, function (b) { return b.bottomMargin = _this.ab0; });
        this.ae4(a, function (b) { return b.textColor = _this.af7; });
        this.ae5(a, function (b) { return b.textColor = _this.agl; });
        this.ae5(a, function (b) { return b.leftMargin = _this.acb; });
        this.ae5(a, function (b) { return b.topMargin = _this.ace; });
        this.ae5(a, function (b) { return b.rightMargin = _this.acd; });
        this.ae5(a, function (b) { return b.bottomMargin = _this.aca; });
        this.ae4(a, function (b) { return b.textStyle = _this.aed; });
        this.ae5(a, function (b) { return b.textStyle = _this.ae1; });
    };
    RadialBaseChart.prototype.wl = function (a) {
        var b = this.be(a);
        var c = this.dc(a, b);
        if (c == null) {
            return;
        }
        c.itemsSource = this.hz(a);
        if (a.highlightedData != null) {
            c.highlightedItemsSource = this.h0(a);
        }
        c.name = this.ql(a);
        c.title = this.qm(a, b);
        this.dataChart.series.add(c);
    };
    RadialBaseChart.prototype.afa = function (a) {
        this.afb(a, null);
    };
    RadialBaseChart.prototype.afb = function (a, b) {
        a(this.z1());
    };
    RadialBaseChart.prototype.afg = function (a, b) {
        a(this.z2());
    };
    RadialBaseChart.prototype.aff = function (a) {
        this.afg(a, true);
    };
    RadialBaseChart.prototype.ul = function (a, b) {
        this.afa(a);
        this.afg(a, b);
    };
    RadialBaseChart.prototype.afe = function (a) {
        this.ae5(this.z1(), a);
    };
    RadialBaseChart.prototype.afj = function (a) {
        this.ae5(this.z2(), a);
    };
    RadialBaseChart.prototype.afh = function (a) {
        this.ae4(this.z2(), a);
    };
    RadialBaseChart.prototype.afc = function (a) {
        this.ae4(this.z1(), a);
    };
    RadialBaseChart.prototype.abu = function (a) {
        var b = this.z1();
        return b.el(a, new ScalerParams(1, this.y2, this.y1, b.ch));
    };
    RadialBaseChart.prototype.abw = function (a) {
        var b = this.z1();
        return b.eo(a, new ScalerParams(1, this.y2, this.y1, b.ch));
    };
    RadialBaseChart.prototype.abv = function (a) {
        var b = this.z2();
        return b.el(a, new ScalerParams(1, this.y2, this.y1, b.ch));
    };
    RadialBaseChart.prototype.abx = function (a) {
        var b = this.z2();
        return b.eo(a, new ScalerParams(1, this.y2, this.y1, b.ch));
    };
    RadialBaseChart.prototype.wi = function (a) {
        _super.prototype.wi.call(this, a);
        if (a == null) {
            return;
        }
        if (a.axes != null) {
            var b = this.z1();
            var c = this.z2();
            if (a.axes.contains(b)) {
                a.axes.remove(b);
            }
            if (a.axes.contains(c)) {
                a.axes.remove(c);
            }
        }
    };
    RadialBaseChart.ady = function (a, b) {
        var e_1, _a;
        try {
            for (var _b = __values(fromEnum(b)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var c = _c.value;
                var d = c.findMatchingHint(16);
                if (d != null) {
                    var e = d.path;
                    return e;
                }
            }
        }
        catch (e_1_1) {
            e_1 = { error: e_1_1 };
        }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return))
                    _a.call(_b);
            }
            finally {
                if (e_1)
                    throw e_1.error;
            }
        }
        return null;
    };
    RadialBaseChart.prototype.ux = function (a, b) {
        _super.prototype.ux.call(this, a, b);
        if (a == this.dataChart) {
            this.dataChart.axes.add(this.z1());
            this.dataChart.axes.add(this.z2());
        }
    };
    RadialBaseChart.prototype.ae6 = function (a) {
        var _this = this;
        if (a != null && this.lr != null && a.fn == null) {
            a.provideRenderer(this.lr);
        }
        a.jz = this.af9;
        a.et = this.abj;
        a.j0 = this.aga;
        a.ew = this.abk;
        a.j2 = this.agc;
        a.fi = this.abl;
        a.j1 = this.agb;
        a.fj = this.abm;
        a.j3 = this.agd;
        a.fk = this.abn;
        a.c4 = true;
        a.cu = this.shouldAvoidAxisAnnotationCollisions;
        a.cw = this.shouldAvoidAxisAnnotationCollisions;
        var b = a == this.z1();
        if (b) {
            a.g8 = this.adm;
        }
        a.f2 = this.ach;
        a.gi = this.acy;
        a.ah = this.zx;
        this.ae4(a, function (c) { return c.angle = _this.abe; });
        this.ae4(a, function (c) {
            if (c.extent != _this.abd) {
                c.extent = _this.abd;
            }
        });
        this.ae4(a, function (c) { return c.horizontalAlignment = _this.afn; });
        this.ae4(a, function (c) { return c.verticalAlignment = _this.agp; });
        this.ae4(a, function (c) { return c.visibility = _this.agu; });
        this.ae4(a, function (c) { return c.location = _this.z7(_this.z0); });
        this.ae5(a, function (c) { return c.horizontalAlignment = _this.afo; });
        this.ae5(a, function (c) { return c.angle = _this.abo; });
        this.ae7(a);
    };
    RadialBaseChart.prototype.ae8 = function (a) {
        var _this = this;
        if (a == null) {
            return;
        }
        if (this.lr != null && a.fn == null) {
            a.provideRenderer(this.lr);
        }
        a.cu = this.shouldAvoidAxisAnnotationCollisions;
        a.cw = this.shouldAvoidAxisAnnotationCollisions;
        this.ae4(a, function (b) { return b.angle = _this.abz; });
        this.ae4(a, function (b) {
            if (b.extent != _this.aby) {
                b.extent = _this.aby;
            }
        });
        this.ae4(a, function (b) { return b.horizontalAlignment = _this.afp; });
        this.ae4(a, function (b) { return b.verticalAlignment = _this.agq; });
        this.ae4(a, function (b) { return b.visibility = _this.agv; });
        this.ae4(a, function (b) { return b.location = _this.z8(_this.aaa); });
        this.ae5(a, function (b) { return b.verticalAlignment = _this.agr; });
        this.ae5(a, function (b) { return b.angle = _this.ab9; });
        a.jz = this.agg;
        a.et = this.ab4;
        a.j0 = this.agh;
        a.ew = this.ab5;
        a.j2 = this.agj;
        a.fi = this.ab6;
        a.j1 = this.agi;
        a.fj = this.ab7;
        a.j3 = this.agk;
        a.fk = this.ab8;
        var b = a == this.z2();
        if (b) {
            a.g8 = this.aes;
        }
        a.gi = this.ad4;
        a.ah = this.zy;
        this.ae9(a);
    };
    RadialBaseChart.prototype.uu = function () {
        _super.prototype.uu.call(this);
        this.ae6(this.z1());
        this.ae8(this.z2());
    };
    RadialBaseChart.prototype.ae4 = function (a, b) {
        if (a == null) {
            return;
        }
        if (a.az == null) {
            a.az = new AxisLabelSettings();
            a.az.angle = a.d7();
            a.az.bottomMargin = a.d8();
            a.az.leftMargin = a.d9();
            a.az.rightMargin = a.ea();
            a.az.topMargin = a.eb();
            a.az.horizontalAlignment = a.ju();
            a.az.location = a.a0();
            a.az.verticalAlignment = a.ko();
        }
        b(a.az);
    };
    RadialBaseChart.prototype.ae5 = function (a, b) {
        if (a == null) {
            return;
        }
        if (a.bf == null) {
            a.bf = new TitleSettings();
            a.bf.bottomMargin = a.ed();
            a.bf.leftMargin = a.ee();
            a.bf.rightMargin = a.ef();
            a.bf.topMargin = a.eg();
            a.bf.location = a.a1();
            a.bf.angle = a.ec();
            a.bf.horizontalAlignment = a.jv();
            a.bf.verticalAlignment = a.kp();
        }
        b(a.bf);
    };
    RadialBaseChart.prototype.vr = function (a, b, c) {
        var _this = this;
        _super.prototype.vr.call(this, a, b, c);
        switch (a) {
            case "AngleAxisLabelAngle":
                this.afc(function (d) { return d.angle = _this.abe; });
                break;
            case "ValueAxisLabelAngle":
                this.afh(function (d) { return d.angle = _this.abz; });
                break;
            case "AngleAxisLabelHorizontalAlignment":
                this.afc(function (d) { return d.horizontalAlignment = _this.afn; });
                break;
            case "ValueAxisLabelHorizontalAlignment":
                this.afh(function (d) { return d.horizontalAlignment = _this.afp; });
                break;
            case "AngleAxisLabelVerticalAlignment":
                this.afc(function (d) { return d.verticalAlignment = _this.agp; });
                break;
            case "ValueAxisLabelVerticalAlignment":
                this.afh(function (d) { return d.verticalAlignment = _this.agq; });
                break;
            case "AngleAxisLabelVisibility":
                this.afc(function (d) { return d.visibility = _this.agu; });
                break;
            case "ValueAxisLabelVisibility":
                this.afh(function (d) { return d.visibility = _this.agv; });
                break;
            case "AngleAxisLabel":
                this.afa(function (d) { return d.f2 = _this.ach; });
                break;
            case "ValueAxisLabel":
                this.aff(function (d) { return d.f2 = _this.aci; });
                break;
            case "AngleAxisLabelFormat":
                this.afa(function (d) { return d.gi = _this.acy; });
                break;
            case "AngleAxisLabelFormatSpecifiers":
                this.afa(function (d) { return d.ah = _this.zx; });
                break;
            case "ValueAxisLabelFormat":
                this.aff(function (d) { return d.gi = _this.ad4; });
                break;
            case "ValueAxisLabelFormatSpecifiers":
                this.aff(function (d) { return d.ah = _this.zy; });
                break;
            case "AngleAxisTitleAngle":
                this.afe(function (d) { return d.angle = _this.abo; });
                break;
            case "ValueAxisTitleAngle":
                this.afj(function (d) { return d.angle = _this.ab9; });
                break;
            case "AngleAxisTitleAlignment":
                this.afe(function (d) { return d.horizontalAlignment = _this.afo; });
                break;
            case "ValueAxisTitleAlignment":
                this.afj(function (d) { return d.verticalAlignment = _this.agr; });
                break;
            case "AngleAxisTitle":
                this.afa(function (d) { return d.g8 = _this.adm; });
                break;
            case "ValueAxisTitle":
                this.afg(function (d) { return d.g8 = _this.aes; }, false);
                break;
            case "AngleAxisMajorStroke":
                this.afb(function (d) { return d.jz = _this.af9; }, a);
                break;
            case "ValueAxisMajorStroke":
                this.aff(function (d) { return d.jz = _this.agg; });
                break;
            case "AngleAxisMajorStrokeThickness":
                this.afb(function (d) { return d.et = _this.abj; }, a);
                break;
            case "ValueAxisMajorStrokeThickness":
                this.aff(function (d) { return d.et = _this.ab4; });
                break;
            case "AngleAxisMinorStroke":
                this.afa(function (d) { return d.j0 = _this.aga; });
                break;
            case "ValueAxisMinorStroke":
                this.aff(function (d) { return d.j0 = _this.agh; });
                break;
            case "AngleAxisMinorStrokeThickness":
                this.afa(function (d) { return d.ew = _this.abk; });
                break;
            case "ValueAxisMinorStrokeThickness":
                this.aff(function (d) { return d.ew = _this.ab5; });
                break;
            case "AngleAxisTickLength":
                this.afa(function (d) { return d.fj = _this.abm; });
                break;
            case "ValueAxisTickLength":
                this.aff(function (d) { return d.fj = _this.ab7; });
                break;
            case "AngleAxisTickStroke":
                this.afa(function (d) { return d.j3 = _this.agd; });
                break;
            case "ValueAxisTickStroke":
                this.aff(function (d) { return d.j3 = _this.agk; });
                break;
            case "AngleAxisTickStrokeThickness":
                this.afa(function (d) { return d.fk = _this.abn; });
                break;
            case "ValueAxisTickStrokeThickness":
                this.aff(function (d) { return d.fk = _this.ab8; });
                break;
            case "AngleAxisStroke":
                this.afa(function (d) { return d.j2 = _this.agc; });
                break;
            case "ValueAxisStroke":
                this.aff(function (d) { return d.j2 = _this.agj; });
                break;
            case "AngleAxisStrokeThickness":
                this.afa(function (d) { return d.fi = _this.abl; });
                break;
            case "ValueAxisStrokeThickness":
                this.aff(function (d) { return d.fi = _this.ab6; });
                break;
            case "AngleAxisExtent":
                this.afc(function (d) { return d.extent = _this.abd; });
                break;
            case "ValueAxisExtent":
                this.afh(function (d) { return d.extent = _this.aby; });
                break;
            case "AngleAxisStrip":
                this.afa(function (d) { return d.j1 = _this.agb; });
                break;
            case "ValueAxisStrip":
                this.aff(function (d) { return d.j1 = _this.agi; });
                break;
            case "AngleAxisInverted":
                this.afa(function (d) { return d.ch = _this.aad; });
                break;
            case "ValueAxisInverted":
                this.aff(function (d) { return d.ch = _this.aae; });
                break;
            case "ValueAxisLabelLocation":
                this.afi();
                break;
            case "AngleAxisLabelLocation":
                this.afd();
                break;
        }
    };
    RadialBaseChart.prototype.afi = function () {
        var a = this.z8(this.aaa);
        if (a == 2 || a == 7) {
            this.afp = 2;
        }
        else {
            this.afp = 0;
        }
        this.afh(function (b) { return b.location = a; });
    };
    RadialBaseChart.prototype.afd = function () {
        var a = this.z7(this.z0);
        if (a == 1 || a == 5) {
            this.agp = 0;
        }
        else {
            this.agp = 2;
        }
        this.afc(function (b) { return b.location = a; });
    };
    RadialBaseChart.prototype.z8 = function (a) {
        if (a == 0) {
            return 2;
        }
        else if (a == 1) {
            return 3;
        }
        else if (a == 3) {
            return 7;
        }
        else if (a == 2) {
            return 6;
        }
        else {
            if (this.cb == 1) {
                return 3;
            }
            else {
                return 2;
            }
        }
    };
    RadialBaseChart.prototype.z7 = function (a) {
        if (a == 1) {
            return 1;
        }
        else if (a == 0) {
            return 0;
        }
        else if (a == 3) {
            return 5;
        }
        else if (a == 2) {
            return 4;
        }
        else {
            return 1;
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "ach", {
        get: function () {
            return this.acf;
        },
        set: function (a) {
            var b = this.ach;
            if (a != b) {
                this.acf = a;
                this.vr("AngleAxisLabel", b, this.ach);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aci", {
        get: function () {
            return this.acg;
        },
        set: function (a) {
            var b = this.aci;
            if (a != b) {
                this.acg = a;
                this.vr("ValueAxisLabel", b, this.aci);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "af9", {
        get: function () {
            return this.aft;
        },
        set: function (a) {
            var b = this.af9;
            if (a != b) {
                this.aft = a;
                this.vr("AngleAxisMajorStroke", b, this.af9);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agg", {
        get: function () {
            return this.af0;
        },
        set: function (a) {
            var b = this.agg;
            if (a != b) {
                this.af0 = a;
                this.vr("ValueAxisMajorStroke", b, this.agg);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abj", {
        get: function () {
            return this.aal;
        },
        set: function (a) {
            var b = this.abj;
            if (a != b) {
                this.aal = a;
                this.vr("AngleAxisMajorStrokeThickness", b, this.abj);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab4", {
        get: function () {
            return this.aa2;
        },
        set: function (a) {
            var b = this.ab4;
            if (a != b) {
                this.aa2 = a;
                this.vr("ValueAxisMajorStrokeThickness", b, this.ab4);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abk", {
        get: function () {
            return this.aam;
        },
        set: function (a) {
            var b = this.abk;
            if (a != b) {
                this.aam = a;
                this.vr("AngleAxisMinorStrokeThickness", b, this.abk);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab5", {
        get: function () {
            return this.aa3;
        },
        set: function (a) {
            var b = this.ab5;
            if (a != b) {
                this.aa3 = a;
                this.vr("ValueAxisMinorStrokeThickness", b, this.ab5);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agb", {
        get: function () {
            return this.afv;
        },
        set: function (a) {
            var b = this.agb;
            if (a != b) {
                this.afv = a;
                this.vr("AngleAxisStrip", b, this.agb);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agi", {
        get: function () {
            return this.af2;
        },
        set: function (a) {
            var b = this.agi;
            if (a != b) {
                this.af2 = a;
                this.vr("ValueAxisStrip", b, this.agi);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agc", {
        get: function () {
            return this.afw;
        },
        set: function (a) {
            var b = this.agc;
            if (a != b) {
                this.afw = a;
                this.vr("AngleAxisStroke", b, this.agc);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agj", {
        get: function () {
            return this.af3;
        },
        set: function (a) {
            var b = this.agj;
            if (a != b) {
                this.af3 = a;
                this.vr("ValueAxisStroke", b, this.agj);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abl", {
        get: function () {
            return this.aan;
        },
        set: function (a) {
            var b = this.abl;
            if (a != b) {
                this.aan = a;
                this.vr("AngleAxisStrokeThickness", b, this.abl);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab6", {
        get: function () {
            return this.aa4;
        },
        set: function (a) {
            var b = this.ab6;
            if (a != b) {
                this.aa4 = a;
                this.vr("ValueAxisStrokeThickness", b, this.ab6);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abm", {
        get: function () {
            return this.aao;
        },
        set: function (a) {
            var b = this.abm;
            if (a != b) {
                this.aao = a;
                this.vr("AngleAxisTickLength", b, this.abm);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab7", {
        get: function () {
            return this.aa5;
        },
        set: function (a) {
            var b = this.ab7;
            if (a != b) {
                this.aa5 = a;
                this.vr("ValueAxisTickLength", b, this.ab7);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agd", {
        get: function () {
            return this.afx;
        },
        set: function (a) {
            var b = this.agd;
            if (a != b) {
                this.afx = a;
                this.vr("AngleAxisTickStroke", b, this.agd);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agk", {
        get: function () {
            return this.af4;
        },
        set: function (a) {
            var b = this.agk;
            if (a != b) {
                this.af4 = a;
                this.vr("ValueAxisTickStroke", b, this.agk);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abn", {
        get: function () {
            return this.aap;
        },
        set: function (a) {
            var b = this.abn;
            if (a != b) {
                this.aap = a;
                this.vr("AngleAxisTickStrokeThickness", b, this.abn);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab8", {
        get: function () {
            return this.aa6;
        },
        set: function (a) {
            var b = this.ab8;
            if (a != b) {
                this.aa6 = a;
                this.vr("ValueAxisTickStrokeThickness", b, this.ab8);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "adm", {
        get: function () {
            return this.acl;
        },
        set: function (a) {
            var b = this.adm;
            if (a != b) {
                this.acl = a;
                this.vr("AngleAxisTitle", b, this.adm);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aes", {
        get: function () {
            return this.acp;
        },
        set: function (a) {
            var b = this.aes;
            if (a != b) {
                this.acp = a;
                this.vr("ValueAxisTitle", b, this.aes);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aga", {
        get: function () {
            return this.afu;
        },
        set: function (a) {
            var b = this.aga;
            if (a != b) {
                this.afu = a;
                this.vr("AngleAxisMinorStroke", b, this.aga);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agh", {
        get: function () {
            return this.af1;
        },
        set: function (a) {
            var b = this.agh;
            if (a != b) {
                this.af1 = a;
                this.vr("ValueAxisMinorStroke", b, this.agh);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abe", {
        get: function () {
            return this.aag;
        },
        set: function (a) {
            var b = this.abe;
            if (a != b) {
                this.aag = a;
                this.vr("AngleAxisLabelAngle", b, this.abe);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abz", {
        get: function () {
            return this.aax;
        },
        set: function (a) {
            var b = this.abz;
            if (a != b) {
                this.aax = a;
                this.vr("ValueAxisLabelAngle", b, this.abz);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abd", {
        get: function () {
            return this.aaf;
        },
        set: function (a) {
            var b = this.abd;
            if (a != b) {
                this.aaf = a;
                this.vr("AngleAxisExtent", b, this.abd);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aby", {
        get: function () {
            return this.aaw;
        },
        set: function (a) {
            var b = this.aby;
            if (a != b) {
                this.aaw = a;
                this.vr("ValueAxisExtent", b, this.aby);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "abo", {
        get: function () {
            return this.aaq;
        },
        set: function (a) {
            var b = this.abo;
            if (a != b) {
                this.aaq = a;
                this.vr("AngleAxisTitleAngle", b, this.abo);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ab9", {
        get: function () {
            return this.aa7;
        },
        set: function (a) {
            var b = this.ab9;
            if (a != b) {
                this.aa7 = a;
                this.vr("ValueAxisTitleAngle", b, this.ab9);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aad", {
        get: function () {
            return this.aab;
        },
        set: function (a) {
            var b = this.aad;
            if (a != b) {
                this.aab = a;
                this.vr("AngleAxisInverted", b, this.aad);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "aae", {
        get: function () {
            return this.aac;
        },
        set: function (a) {
            var b = this.aae;
            if (a != b) {
                this.aac = a;
                this.vr("ValueAxisInverted", b, this.aae);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "afo", {
        get: function () {
            return this.afl;
        },
        set: function (a) {
            var b = this.afo;
            if (a != b) {
                this.afl = a;
                this.vr("AngleAxisTitleAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.afo));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agr", {
        get: function () {
            return this.ago;
        },
        set: function (a) {
            var b = this.agr;
            if (a != b) {
                this.ago = a;
                this.vr("ValueAxisTitleAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.agr));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "afn", {
        get: function () {
            return this.afk;
        },
        set: function (a) {
            var b = this.afn;
            if (a != b) {
                this.afk = a;
                this.vr("AngleAxisLabelHorizontalAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.afn));
            }
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.prototype.get_afp = function () {
        return this.afm;
    };
    RadialBaseChart.prototype.set_afp = function (a) {
        var b = this.afp;
        if (a != b) {
            this.afm = a;
            this.vr("ValueAxisLabelHorizontalAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.afp));
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "afp", {
        get: function () {
            return this.get_afp();
        },
        set: function (a) {
            this.set_afp(a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agp", {
        get: function () {
            return this.agm;
        },
        set: function (a) {
            var b = this.agp;
            if (a != b) {
                this.agm = a;
                this.vr("AngleAxisLabelVerticalAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.agp));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agq", {
        get: function () {
            return this.agn;
        },
        set: function (a) {
            var b = this.agq;
            if (a != b) {
                this.agn = a;
                this.vr("ValueAxisLabelVerticalAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.agq));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agu", {
        get: function () {
            return this.ags;
        },
        set: function (a) {
            var b = this.agu;
            if (a != b) {
                this.ags = a;
                this.vr("AngleAxisLabelVisibility", enumGetBox(Visibility_$type, b), enumGetBox(Visibility_$type, this.agu));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "agv", {
        get: function () {
            return this.agt;
        },
        set: function (a) {
            var b = this.agv;
            if (a != b) {
                this.agt = a;
                this.vr("ValueAxisLabelVisibility", enumGetBox(Visibility_$type, b), enumGetBox(Visibility_$type, this.agv));
            }
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.prototype.get_aaa = function () {
        return this.z9;
    };
    RadialBaseChart.prototype.set_aaa = function (a) {
        var b = this.aaa;
        if (a != b) {
            this.z9 = a;
            this.vr("ValueAxisLabelLocation", enumGetBox(ValueAxisLabelLocation_$type, b), enumGetBox(ValueAxisLabelLocation_$type, this.aaa));
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "aaa", {
        get: function () {
            return this.get_aaa();
        },
        set: function (a) {
            this.set_aaa(a);
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.prototype.get_z0 = function () {
        return this.zz;
    };
    RadialBaseChart.prototype.set_z0 = function (a) {
        var b = this.z0;
        if (a != b) {
            this.zz = a;
            this.vr("AngleAxisLabelLocation", enumGetBox(AngleAxisLabelLocation_$type, b), enumGetBox(AngleAxisLabelLocation_$type, this.z0));
        }
    };
    Object.defineProperty(RadialBaseChart.prototype, "z0", {
        get: function () {
            return this.get_z0();
        },
        set: function (a) {
            this.set_z0(a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "acy", {
        get: function () {
            return this.acj;
        },
        set: function (a) {
            var b = this.acj;
            if (a != b) {
                this.acj = a;
                this.vr("AngleAxisLabelFormat", b, this.acj);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "zx", {
        get: function () {
            return this.zv;
        },
        set: function (a) {
            var b = this.zv;
            if (a != b) {
                this.zv = a;
                this.vr("AngleAxisLabelFormatSpecifiers", b, this.zv);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "ad4", {
        get: function () {
            return this.acn;
        },
        set: function (a) {
            var b = this.acn;
            if (a != b) {
                this.acn = a;
                this.vr("ValueAxisLabelFormat", b, this.acn);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChart.prototype, "zy", {
        get: function () {
            return this.zw;
        },
        set: function (a) {
            var b = this.zw;
            if (a != b) {
                this.zw = a;
                this.vr("ValueAxisLabelFormatSpecifiers", b, this.zw);
            }
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChart.$t = markType(RadialBaseChart, 'RadialBaseChart', DomainChart.$);
    return RadialBaseChart;
}(DomainChart));
export { RadialBaseChart };
